# -*- coding: utf-8 -*-
from velamentum.alle import *

# Zufallsgenerator vorbereiten
zufall = Zufallsgenerator(1,1000)

# Dialog vorbereiten und Begrüßung anzeigen
dialog = Dialog("Zahlenraten", "Willkommen zum Spiel!")
dialog.zeige()

dialog.zeigeNachricht("Ich habe eine Zahl zwischen 1 und 1000 gewählt." \
    "Raten Sie welche es ist!")

# EingabeDialog vorbereiten
eDialog = EingabeDialog("Zahlenraten", "Bitte geben Sie eine Zahl zwischen 1 " \
    "und 1000 ein:", True)

# Zähler für die Versuche initialisieren
versuche = 0

# Entscheidung einfordern
while eDialog.nenneErgebnis() != zufall.nenneErgebnis():
    # Anzahl der Versuche um eins erhöhen
    versuche += 1
    
    # EingabeDialog anzeigen
    eDialog.zeige()
    
    # Eingabe überprüfen
    if eDialog.nenneErgebnis() > zufall.nenneErgebnis():
        dialog.zeigeNachricht("Ihre Zahl war zu groß!")
    elif eDialog.nenneErgebnis() < zufall.nenneErgebnis():
        dialog.zeigeNachricht("Ihre Zahl war zu klein!")
    
dialog.zeigeNachricht("Herzlichen Glückwunsch! Sie haben die Zahl nach {0} " \
    "Versuchen erraten.".format(versuche))
